Skip to main content
GET
/
v1
/
stocks
/
company
/
price-target-consensus
cURL
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/stocks/company/price-target-consensus \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "symbol": "AAPL",
    "target_consensus": 175,
    "target_high": 200,
    "target_low": 150,
    "target_median": 180
  },
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Stock symbol (uppercase, e.g., META, AAPL)

Response

200 - application/json

Successfully retrieved price consensus

data
object
error
object
pagination
any
request_id
string
success
boolean